Bug 81914 - Unable to do rpmbuild --rebuild on mozilla 1.2.1 src
Unable to do rpmbuild --rebuild on mozilla 1.2.1 src
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-01-14 23:53 EST by tom
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-21 22:06:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description tom 2003-01-14 23:53:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I'm trying to do a rpmbuild --rebuild on mozilla-1.2.1-0_rh8.src.rpm, which I
got from mozilla's ftp site.  When I run the command (as root), I get the
following output:

(the warnings are repeated about 10 times - I've snipped it short)
warning: user blizzard does not exist - using root
warning: group blizzard does not exist - using root
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.62860
+ umask 022
+ cd /usr/src/redhat/BUILD
+ export LANG
+ cd /usr/src/redhat/BUILD
+ rm -rf mozilla
+ /usr/bin/gzip -dc /usr/src/redhat/SOURCES/mozilla-source-1.2.1-0_rh8.tar.gz
+ tar -xf -
+ '[' 0 -ne 0 ']'
+ cd mozilla
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chown -Rhf root .
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chgrp -Rhf root .
+ /bin/chmod -Rf a+rX,g-w,o-w .
+ echo 'Patch #7 (mozilla-redhat-home-page.patch):'
Patch #7 (mozilla-redhat-home-page.patch):
+ patch -p1 -s
+ echo 'Patch #7 (mozilla-redhat-home-page.patch):'
Patch #7 (mozilla-redhat-home-page.patch):
+ patch -p1 -R -s
+ echo 'Patch #8 (mozilla-redhat-mail-home-page.patch):'
Patch #8 (mozilla-redhat-mail-home-page.patch):
+ patch -p1 -s
+ echo 'Patch #8 (mozilla-redhat-mail-home-page.patch):'
Patch #8 (mozilla-redhat-mail-home-page.patch):
+ patch -p1 -R -s
+ echo 'Patch #11 (mozilla-taskbar-nomozilla.patch):'
Patch #11 (mozilla-taskbar-nomozilla.patch):
+ patch -p1 -s
+ echo 'Patch #11 (mozilla-taskbar-nomozilla.patch):'
Patch #11 (mozilla-taskbar-nomozilla.patch):
+ patch -p1 -R -s
+ echo 'Patch #12 (mozilla-psfonts-7.2.patch):'
Patch #12 (mozilla-psfonts-7.2.patch):
+ patch -p1 -s
+ echo 'Patch #13 (mozilla-nspr-packages.patch):'
Patch #13 (mozilla-nspr-packages.patch):
+ patch -p1 -s
+ echo 'Patch #14 (mozilla-default-plugin-less-annoying.patch):'
Patch #14 (mozilla-default-plugin-less-annoying.patch):
+ patch -p1 -s
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.59642
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd mozilla
+ export LANG
+ '[' -x /usr/bin/getconf ']'
+ CPUS=2
+ test x2 = x -o x2 = x0
+ CC=gcc296
+ CXX=g++296
+ ./configure --prefix=/usr --enable-optimize --disable-debug
--with-default-mozilla-five-home=/usr/lib/mozilla-1.2.1 --enable-strip-libs
--disable-tests --disable-short-wchar --enable-nspr-autoconf
--enable-extensions=default,irc --without-mng --enable-crypto --disable-xprint
--without-system-nspr --disable-freetype2 --with-system-zlib --mandir=/usr/share/man
creating cache ./config.cache
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
checking build system type... i686-pc-linux-gnu
checking for gcc... gcc296
checking whether the C compiler (gcc296  ) works... no
configure: error: installation or configuration problem: C compiler cannot
create executables.
error: Bad exit status from /var/tmp/rpm-tmp.59642 (%build)

When I run a gcc -v, everything seems fine:

Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/3.2/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--disable-checking --host=i386-redhat-linux --with-system-zlib --enable-__cxa_atexit
Thread model: posix
gcc version 3.2 20020903 (Red Hat Linux 8.0 3.2-7)

I'm wondering if I forgot to install a package when I built this machine, but
I'm sure I picked all the development tools.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.run rpmbuild --rebuild mozilla-1.2.1-0_rh8.src.rpm

Additional info:
Comment 1 Jakub Jelinek 2003-01-15 04:19:04 EST
Do you have compat-gcc installed?
Try to build a trivial program with g++296 too.
Comment 2 tom 2003-01-15 19:55:55 EST
I've installed compat-gcc-7.3-2.96 from rpmfind.net.  I'm still unable to
compile the mozilla src rpm.  I'm getting the same errors.  I did try to compile
a simple Hello World program, and that worked without errors.
Comment 3 Jakub Jelinek 2003-01-20 09:01:47 EST
But do you have compat-gcc-c++, compat-libstdc++ and compat-libstdc++-devel
installed as well? If yes, you should look at config.log why it did not work.
It works for us here.
Comment 4 tom 2003-01-21 22:06:39 EST
Got it to work, I was missing compat-gcc-c++ from my system.  I missed it the
first time through (I did need to add the other RPM's as well however).

Note You need to log in before you can comment on or make changes to this bug.